package com.fs.tulin.utils;

/**
 * @description: 这个后面要放到数据库去方便动态添加
 * @author: Guos
 * @time: 2025/10/22 上午9:41
 */
public enum PharmacyEnum {


    YJKQS("药济康強昇专卖店"	,"ab0017b8-4961-4230-877e-e86fc1e96b3b", "prod"),

    YJKJS("药济康匀善专卖店"	,"cbcdec50-ea88-448f-810d-3f2f1b809915", "prod"),

    YJKYSY("药济康益寿缘专卖店","a8392536-7554-4e0a-9d12-20f856c94c55", "prod"),

    YJKKM("药济康凯蒙专卖店"	,"517d85c4-e4d4-4a36-af7f-57097b59c650", "prod"),

    YJKKMEB("药济康凯蒙二部专卖店","48e79523-3563-4252-a4a7-fdbcf4af4f34", "prod"),

    YJKSST("药济康盛世堂专卖店","69cdae19-fbe6-4976-b9c2-611f9414440a", "prod"),

    BDHD("保定弘德专卖店"	,"611edbf5-1e75-4f48-8171-533d60d50019", "prod"),

    DEVCS("测试店铺"	,"26ee29ce-35aa-46c8-9650-3fe46014690c", "dev");

    private String pharmacyName;

    private String pharmacyId;

    private String useEnvironment;

    PharmacyEnum(String pharmacyName, String pharmacyId, String useEnvironment){
        this.pharmacyName = pharmacyName;
        this.pharmacyId = pharmacyId;
        this.useEnvironment = useEnvironment;
    }
    public String getPharmacyId() {
        return this.pharmacyId;
    }

    public String getPharmacyName() {
        return this.pharmacyName;
    }

    public String getUseEnvironment() {
        return this.useEnvironment;
    }
}
